org.bouncycastle.crypto.params

## Class ECKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.ECKeyParameters

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  ECPrivateKeyParameters, ECPublicKeyParameters

    public class ECKeyParameters
    extends AsymmetricKeyParameter

### Constructor Summary

Constructors
`protected` `ECKeyParameters(boolean isPrivate, ECDomainParameters params)`

### Method Summary

Methods
`ECDomainParameters` `getParameters()`

### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

`isPrivate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECKeyParameters

    protected ECKeyParameters(boolean isPrivate,
                   ECDomainParameters params)

### Method Detail

#### getParameters

    public ECDomainParameters getParameters()